Method: customBiddingAlgorithms.get

Gets a custom bidding algorithm.

HTTP request

GET https://displayvideo.googleapis.com/v5/customBiddingAlgorithms/{customBiddingAlgorithmId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customBiddingAlgorithmId

string (int64 format)

Required. The ID of the custom bidding algorithm to fetch.

Query parameters

Parameters
Required. Identifies which DV360 entity the request is being made within. The Get request will only return a custom bidding algortihm entity that is accessible to the DV360 entity identified within the accessor. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the DV360 partner that has access to the custom bidding algorithm.

advertiserId

string (int64 format)

The ID of the DV360 partner that has access to the custom bidding algorithm.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of CustomBiddingAlgorithm.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.